### Virtual Method

# Gtk Buildable custom_tag_start

#### Declaration [src]

    gboolean
    custom_tag_start (
      GtkBuildable* buildable,
      GtkBuilder* builder,
      GObject* child,
      const char* tagname,
      GtkBuildableParser* parser,
      gpointer* data
    )

#### Description [src]

Called for each unknown element under `<child>`.

#### Parameters

`builder` | `GtkBuilder`
| A `GtkBuilder` used to construct this object.
| The data is owned by the caller of the function.
`child` | `GObject*`
| Child object or `NULL` for non-child tags.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`tagname` | `const char*`
| Name of tag.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`parser` | `GtkBuildableParser`
| A `GtkBuildableParser` to fill in.
| The argument will be set by the function.
| The data is owned by the caller of the function.
`data` | `gpointer*`
| Return location for user data that will be passed in to parser functions.
| The argument will be set by the function.
| The argument can be set to `NULL`.
| The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Returns: | `gboolean`
| `TRUE` if an object has a custom implementation, `FALSE` if it doesn’t.